using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 外部连接事务
    /// </summary>
    [Description("外部连接事物表")]
   [IgnoreT4]public class T_FM_EXT_CONN_TRANS: MesEntityBase
	{
		/// <summary>
	 /// 用于表示该生产入库单连接哪种类型的外部系统进行数据同步，默认为SAP
	 /// </summary>
		[Description("外部连接目标类型")]
		[EnumName("FMExtConnDestTypeEnum")]
		public int EXT_CONN_DEST_TYPE { get; set; }

		/// <summary>
		/// 外部连接功能类型 FMExtConnFuncTypeEnum
		/// </summary>
		[EnumName("FMExtConnFuncTypeEnum")]
        [Description("外部连接功能类型")]
        public int EXT_FUNC_TYPE { get; set; }


        /// <summary>
        /// 单据ID
        /// </summary>
        [Description("单据ID")]
        public Guid BILL_ID { get; set; }

        /// <summary>
        /// 键值ID
        /// </summary>
        [Description("键值ID")]
        public Guid KEY_ID { get; set; }


        /// <summary>
        /// 事务ID
        /// </summary>
        [Description("事物ID")]
        public string TRANS_ID { get; set; }


		/// <summary>
		///执行结果状态  FMExtConnExecuteResultStatusEnum
		/// </summary>
		[EnumName("FMExtConnExecuteResultStatusEnum")]
        [Description("执行结果状态")]
        public int EXECUTE_RESULT_STATUS { get; set; }
	}
}
